- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CDisplayInformation Class Reference

List of all members.

## Detailed Description

Gives informaiton about the displays attatched to the system.

Date:
  27/09/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.1.0 Added text stream output

  1.1.1 Updated monitor interogation on mac to support CGDisplay routines, rather than depricated GDevice style

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CDisplayInformation.hpp,v 1.5 2007/03/03 14:45:32 paul Exp

Definition at line 38 of file CDisplayInformation.hpp.

## Static Public Member Functions

- static void dumpDisplayInfoToFile (CTextStream &stream)
- static void dumpDisplayInfoToFile (const CSystemString &path)
- static long getMonitorScreenHeight ()
- static long getMonitorScreenWidth ()
- static long getNumberOfMonitors ()
- static long getWindowBorderHeight ()
- static long getWindowBorderWidth ()

## Member Function Documentation

static void Exponent::Host::CDisplayInformation::dumpDisplayInfoToFile | ( | CTextStream & | stream | ) | `[static]`

Dump the monitor informaiton to disk

Parameters:

  | stream | The stream to store to

static void Exponent::Host::CDisplayInformation::dumpDisplayInfoToFile | ( | const CSystemString & | path | ) | `[static]`

Dump the monitor informaiton to disk

Parameters:

  | path | The path to store to

static long Exponent::Host::CDisplayInformation::getMonitorScreenHeight | ( |  | ) | `[static]`

Get the screen height

Return values:

  | long | The monitor height in pixels

static long Exponent::Host::CDisplayInformation::getMonitorScreenWidth | ( |  | ) | `[static]`

Get the screen width

Return values:

  | long | The monitor width in pixels

static long Exponent::Host::CDisplayInformation::getNumberOfMonitors | ( |  | ) | `[static]`

Get the number of monitors on the system

Return values:

  | long | The number of monitors attatched

static long Exponent::Host::CDisplayInformation::getWindowBorderHeight | ( |  | ) | `[static]`

Get the window border height

Return values:

  | long | Border height in pixels

static long Exponent::Host::CDisplayInformation::getWindowBorderWidth | ( |  | ) | `[static]`

Get the window border width

Return values:

  | long | Border width in pixels